## pytest 4.6.9

=== doc/en/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

REGENDOC_ARGS := \
	--normalize "/[ \t]+\n/\n/" \
	--normalize "~\$$REGENDOC_TMPDIR~/home/sweet/project~" \
	--normalize "~/path/to/example~/home/sweet/project~" \
	--normalize "/in \d+.\d+ seconds/in 0.12 seconds/" \
	--normalize "@/tmp/pytest-of-.*/pytest-\d+@PYTEST_TMPDIR@" \
	--normalize "@pytest-(\d+)\\.[^ ,]+@pytest-\1.x.y@" \
	--normalize "@(This is pytest version )(\d+)\\.[^ ,]+@\1\2.x.y@" \
	--normalize "@py-(\d+)\\.[^ ,]+@py-\1.x.y@" \
	--normalize "@pluggy-(\d+)\\.[.\d,]+@pluggy-\1.x.y@" \
	--normalize "@hypothesis-(\d+)\\.[.\d,]+@hypothesis-\1.x.y@" \
	--normalize "@Python (\d+)\\.[^ ,]+@Python \1.x.y@"

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest


help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  showtarget to show the pytest.org target directory"
	@echo "  install    to install docs to pytest.org/SITETARGET"
	@echo "  install-ldf to install the doc pdf to pytest.org/SITETARGET"
	@echo "  regen      to regenerate pytest examples using the installed pytest"
	@echo "  linkcheck  to check all external links for integrity"

clean:
	-rm -rf $(BUILDDIR)/*

regen: REGENDOC_FILES:=*.rst */*.rst
regen:
	PYTHONDONTWRITEBYTECODE=1 PYTEST_ADDOPTS="-pno:hypothesis -Wignore::pytest.PytestUnknownMarkWarning" COLUMNS=76 regendoc --update ${REGENDOC_FILES} ${REGENDOC_ARGS}

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pytest.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pytest.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pytest"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pytest"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

texinfo:
	mkdir -p $(BUILDDIR)/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	mkdir -p $(BUILDDIR)/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

=== debian/changelog ===
pytest (4.6.9-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Bump copyright years.
  * python-pytest-doc: Prefer to recommend python3-pytest.
  * Build-Depend on python2-doc instead of python-doc.

 -- Ondřej Nový <onovy@debian.org>  Wed, 08 Jan 2020 16:42:25 +0100

pytest (4.6.8-1) unstable; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Fri, 27 Dec 2019 18:02:28 +0100

pytest (4.6.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release

  [ Stefano Rivera ]
  * Skip the mock integration test under PyPy, there isn't a pypy-mock
    package in Debian.
  * Patch: Restore write access to test directories, in writeable tests..

 -- Ondřej Nový <onovy@debian.org>  Tue, 10 Dec 2019 13:30:06 +0100

pytest (4.6.6-1) unstable; urgency=medium

  * New upstream release.
  * Add Breaks of older:
    - python{,3}-pytest-mock
  * Bump Standards-Version to 4.4.1.

 -- Ondřej Nový <onovy@debian.org>  Sun, 20 Oct 2019 22:13:09 +0200

=== debian/control ===
Source: pytest
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 pypy,
 pypy-atomicwrites,
 pypy-attr (>= 17.4.0),
 pypy-funcsigs,
 pypy-hypothesis (>= 3.44.1-2~) <!nocheck>,
 pypy-importlib-metadata,
 pypy-more-itertools,
 pypy-packaging,
 pypy-pathlib2 (>= 2.2.1),
 pypy-pluggy (>= 0.12),
 pypy-py (>= 1.5.0),
 pypy-setuptools (>= 40.0),
 pypy-setuptools-scm,
 pypy-six,
 pypy-wcwidth,
 python-all,
 python-atomicwrites,
 python-attr (>= 17.4.0),
 python2-doc,
 python-funcsigs,
 python-hypothesis <!nocheck>,
 python-importlib-metadata,
 python-mock <!nocheck>,
 python-more-itertools,
 python-nose <!nocheck>,
 python-packaging,
 python-pathlib2 (>= 2.2.1),
 python-pexpect <!nocheck>,
 python-pluggy (>= 0.12),
 python-py (>= 1.5.0),
 python-setuptools (>= 40.0),
 python-setuptools-scm,
 python-six (>= 1.10.0),
 python-twisted,
 python-wcwidth,
 python3-all (>= 3.1.2-6~),
 python3-atomicwrites,
 python3-attr (>= 17.4.0),
 python3-hypothesis <!nocheck>,
 python3-importlib-metadata,
 python3-more-itertools,
 python3-nose <!nocheck>,
 python3-packaging,
 python3-pluggy (>= 0.12),
 python3-py (>= 1.5.0),
 python3-setuptools (>= 40.0),
 python3-setuptools-scm,
 python3-six,
 python3-sphinx (>= 1.0.7+dfsg),
 python3-twisted,
 python3-wcwidth,
Standards-Version: 4.4.1
Homepage: https://pytest.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/pytest.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest

Package: pypy-pytest
Architecture: all
Depends:
 pypy-attr (>= 17.4.0),
 pypy-funcsigs,
 pypy-more-itertools,
 pypy-pathlib2 (>= 2.2.1),
 pypy-pkg-resources,
 pypy-pluggy (>= 0.12),
 pypy-py (>= 1.5.0),
 ${misc:Depends},
 ${pypy:Depends},
Description: Simple, powerful testing in PyPy
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package provides the PyPy module and the py.test-pypy script.

Package: python-pytest
Architecture: all
Depends:
 python-attr (>= 17.4.0),
 python-funcsigs,
 python-more-itertools,
 python-pathlib2 (>= 2.2.1),
 python-pkg-resources,
 python-pluggy (>= 0.12),
 python-py (>= 1.5.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-mock,
Breaks:
 python-flaky (<< 3.6.1-1~),
 python-pytest-cov (<< 2.7.1-1~),
 python-pytest-mock (<< 1.10.4-1~),
 python-pytest-xdist (<< 1.29.0-1~),
 python-pytest-xvfb (<< 1.2.0-1~),
Description: Simple, powerful testing in Python
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package provides the Python 2 modules and the py.test script.

Package: python-pytest-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends:
 python3-pytest | python-pytest,
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Simple, powerful testing in Python - Documentation
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package contains the documentation for pytest.

Package: python3-pytest
Architecture: all
Depends:
 python3-attr (>= 17.4.0),
 python3-more-itertools,
 python3-pkg-resources,
 python3-pluggy (>= 0.12),
 python3-py (>= 1.5.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-flaky (<< 3.6.1-1~),
 python3-pytest-cov (<< 2.7.1-1~),
 python3-pytest-mock (<< 1.10.4-1~),
 python3-pytest-xdist (<< 1.29.0-1~),
 python3-pytest-xvfb (<< 1.2.0-1~),
Description: Simple, powerful testing in Python3
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package provides the Python 3 module and the py.test-3 script.

=== debian/tests/control ===
Tests: smoketest-2
Depends: python-pytest

Tests: smoketest-3
Depends: python3-pytest, python3-all

Tests: smoketest-pypy
Depends: pypy-pytest

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pytest/pytest-(4.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pytest 4.6.11

=== debian/changelog ===
pytest (4.6.11-1) unstable; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Thu, 11 Jun 2020 17:02:56 +0200

pytest (4.6.10-1) unstable; urgency=medium

  * New upstream release.
  * Drop PyPy support (Closes: #958848)
  * Set Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0.
  * Bump debhelper compat level to 13.
  * d/tests/smoketest-3: Use supported not installed Python versions.
  * Fix doc-base and add symlinks for docs (Closes: #959974).

 -- Ondřej Nový <onovy@debian.org>  Fri, 05 Jun 2020 13:03:24 +0200

pytest (4.6.9-3) unstable; urgency=medium

  * debian/control
    - decorate python3-twisted with nocheck, as it's only used by unittests
  * Drop python2 support; Closes: #937558

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Apr 2020 00:44:22 -0400

pytest (4.6.9-2) unstable; urgency=medium

  * remove python-twisted from b-d, 7 additional tests are skipped in
    test_unittest.py, but it allows to reduce the number ov reverse dependencies
    of python-twisted

 -- Sandro Tosi <morph@debian.org>  Mon, 30 Mar 2020 02:09:47 -0400

=== debian/control ===
Source: pytest
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-doc,
 python3-all (>= 3.1.2-6~),
 python3-atomicwrites,
 python3-attr (>= 17.4.0),
 python3-hypothesis <!nocheck>,
 python3-importlib-metadata,
 python3-more-itertools,
 python3-nose <!nocheck>,
 python3-packaging,
 python3-pluggy (>= 0.12),
 python3-py (>= 1.5.0),
 python3-setuptools (>= 40.0),
 python3-setuptools-scm,
 python3-six,
 python3-sphinx (>= 1.0.7+dfsg),
 python3-twisted <!nocheck>,
 python3-wcwidth,
Standards-Version: 4.5.0
Homepage: https://pytest.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/pytest.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest
Rules-Requires-Root: no

Package: python-pytest-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends:
 python3-pytest,
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Simple, powerful testing in Python - Documentation
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package contains the documentation for pytest.

Package: python3-pytest
Architecture: all
Depends:
 python3-attr (>= 17.4.0),
 python3-more-itertools,
 python3-pkg-resources,
 python3-pluggy (>= 0.12),
 python3-py (>= 1.5.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-flaky (<< 3.6.1-1~),
 python3-pytest-cov (<< 2.7.1-1~),
 python3-pytest-mock (<< 1.10.4-1~),
 python3-pytest-xdist (<< 1.29.0-1~),
 python3-pytest-xvfb (<< 1.2.0-1~),
Description: Simple, powerful testing in Python3
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package provides the Python 3 module and the py.test-3 script.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=pytest

export PYBUILD_BEFORE_TEST=mkdir -p {dir}/debian/tmp/test-working-directory
export PYBUILD_AFTER_TEST=rm -rf {dir}/debian/tmp/test-working-directory
export PYBUILD_TEST_ARGS=\
	cd {dir}/debian/tmp/test-working-directory && \
	{interpreter} -m pytest --lsof -rfsxX \
		--ignore={dir}/testing/freeze \
		--ignore={dir}/testing/test_entry_points.py \
		--ignore={dir}/testing/test_pdb.py \
		--ignore={dir}/testing/test_mark.py \
		--ignore={dir}/testing/test_terminal.py \
		-k 'not test_trial_pdb' \
		{dir}/testing

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(CURDIR)/src \
		SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build \
		$(MAKE) -C doc/en man html
	sed 's/PYTEST/PYTEST-3/g' doc/en/_build/man/pytest.1 > debian/pytest-3.1

# 2015-12-16 barry@debian.org: Because pytest does not clean up after itself,
# use a custom temporary directory (which is easier to clean up manually,
# e.g. in an sbuild).
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom
endif

override_dh_auto_install:
	dh_auto_install
	rm debian/python3-pytest/usr/bin/py.test
	mv debian/python3-pytest/usr/bin/pytest \
		debian/python3-pytest/usr/bin/pytest-3

override_dh_auto_clean:
	rm -rf doc/en/_build
	dh_auto_clean

=== debian/tests/control ===
Tests: smoketest-3
Depends: python3-pytest, python3-all

## pytest 6.0.2

=== debian/changelog ===
pytest (6.0.2-2) unstable; urgency=medium

  * Uploading to unstable.
  * Ignore changes in src/_pytest/_version.py,
    autogenerated with setuptools_scm
    (Closes: #978289).

 -- Ondřej Nový <onovy@debian.org>  Sat, 02 Jan 2021 14:34:07 +0100

pytest (6.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Oct 2020 13:31:47 +0100

pytest (6.0.1-1) experimental; urgency=medium

  [ Christian Kastner ]
  * New upstream release. (Closes: #965929)
    - Refresh patches
    - Drop obsolete patches
  * d/watch: Drop the 4.* limit
  * Add to Build-Depends, mostly for build-time tests: python3-argcomplete,
    python3-iniconfig, python3-mock, python3-pluggy, python3-requests,
    python3-toml, python3-pallets-sphinx-themes, python3-xmlschema
  * Skip failing test_code_highlight failing with pygments 2.3.1
  * Add python3-pygments to Build-Depends
  * Add python3-pygments to Recommends
  * Re-enable previously failing tests that now pass
  * Add autopkgtest for full upstream test suite
  * Update d/copyright

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Ondřej Nový <onovy@debian.org>  Mon, 12 Oct 2020 13:35:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,42 @@
 Source: pytest
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  python3-doc,
+ python3-argcomplete <!nocheck>,
  python3-all (>= 3.1.2-6~),
  python3-atomicwrites,
  python3-attr (>= 17.4.0),
  python3-hypothesis <!nocheck>,
  python3-importlib-metadata,
+ python3-iniconfig,
+ python3-mock <!nocheck>,
  python3-more-itertools,
  python3-nose <!nocheck>,
  python3-packaging,
  python3-pluggy (>= 0.12),
+ python3-pluggy (<< 1.0),
  python3-py (>= 1.5.0),
+ python3-pygments <!nocheck>,
+ python3-requests <!nocheck>,
  python3-setuptools (>= 40.0),
  python3-setuptools-scm,
  python3-six,
  python3-sphinx (>= 1.0.7+dfsg),
+ python3-toml,
+ python3-pallets-sphinx-themes,
  python3-twisted <!nocheck>,
  python3-wcwidth,
+ python3-xmlschema <!nocheck>,
 Standards-Version: 4.5.0
 Homepage: https://pytest.org/
-Vcs-Git: https://salsa.debian.org/python-team/modules/pytest.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest
+Vcs-Git: https://salsa.debian.org/python-team/packages/pytest.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest
 Rules-Requires-Root: no
 
 Package: python-pytest-doc
@@ -57,6 +66,8 @@
  python3-py (>= 1.5.0),
  ${misc:Depends},
  ${python3:Depends},
+Recommends:
+ python3-pygments,
 Breaks:
  python3-flaky (<< 3.6.1-1~),
  python3-pytest-cov (<< 2.7.1-1~),

=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,9 @@
 export PYBUILD_TEST_ARGS=\
 	cd {dir}/debian/tmp/test-working-directory && \
 	{interpreter} -m pytest --lsof -rfsxX \
-		--ignore={dir}/testing/freeze \
 		--ignore={dir}/testing/test_entry_points.py \
-		--ignore={dir}/testing/test_pdb.py \
-		--ignore={dir}/testing/test_mark.py \
 		--ignore={dir}/testing/test_terminal.py \
-		-k 'not test_trial_pdb' \
+		-k 'not test_code_highlight' \
 		{dir}/testing
 
 %:

=== debian/tests/control ===
Tests: smoketest-3
Depends: python3-pytest, python3-all

Tests: unittests-3
Depends: python3-pytest, python3-all, python3-argcomplete, python3-decorator,
 python3-hypothesis, python3-mock, python3-nose, python3-pygments,
 python3-requests, python3-twisted, python3-xmlschema

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pytest/pytest-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pytest 6.2.5

=== testing/plugins_integration/requirements.txt ===
anyio[curio,trio]==2.0.2
django==3.1.4
pytest-asyncio==0.14.0
pytest-bdd==4.0.1
pytest-cov==2.10.1
pytest-django==4.1.0
pytest-flakes==4.0.3
pytest-html==3.1.0
pytest-mock==3.3.1
pytest-rerunfailures==9.1.1
pytest-sugar==0.9.4
pytest-trio==0.7.0
pytest-twisted==1.13.2
twisted==20.3.0
pytest-xvfb==2.0.0

=== debian/changelog ===
pytest (6.2.5-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 May 2022 14:16:20 -0700

pytest (6.2.5-2) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to fix test failure (Closes: #1002389)
  * Drop pluggy version restriction

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Mar 2022 08:05:09 +0100

pytest (6.2.5-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Update pytest-xdist Breaks version

  [ Sandro Tosi ]
  * New upstream release; Closes: #979477

 -- Sandro Tosi <morph@debian.org>  Tue, 07 Sep 2021 21:35:38 -0400

=== debian/control ===
Source: pytest
Section: python
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all (>= 3.1.2-6~),
               python3-argcomplete <!nocheck>,
               python3-atomicwrites,
               python3-attr (>= 17.4.0),
               python3-doc,
               python3-hypothesis <!nocheck>,
               python3-importlib-metadata,
               python3-iniconfig,
               python3-mock <!nocheck>,
               python3-more-itertools,
               python3-nose <!nocheck>,
               python3-packaging,
               python3-pallets-sphinx-themes,
               python3-pluggy (>= 0.12),
               python3-py (>= 1.5.0),
               python3-pygments <!nocheck>,
               python3-requests <!nocheck>,
               python3-setuptools (>= 40.0),
               python3-setuptools-scm,
               python3-six,
               python3-sphinx (>= 1.0.7+dfsg),
               python3-toml,
               python3-twisted <!nocheck>,
               python3-wcwidth,
               python3-xmlschema <!nocheck>
Standards-Version: 4.5.0
Homepage: https://pytest.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest
Rules-Requires-Root: no

Package: python-pytest-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python3-pytest
Built-Using: ${sphinxdoc:Built-Using}
Description: Simple, powerful testing in Python - Documentation
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package contains the documentation for pytest.

Package: python3-pytest
Architecture: all
Depends: python3-attr (>= 17.4.0),
         python3-more-itertools,
         python3-pkg-resources,
         python3-pluggy (>= 0.12),
         python3-py (>= 1.5.0),
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-pygments
Breaks: python3-flaky (<< 3.6.1-1~),
        python3-pytest-cov (<< 2.7.1-1~),
        python3-pytest-mock (<< 1.10.4-1~),
        python3-pytest-xdist (<< 2.2.0-1~),
        python3-pytest-xvfb (<< 1.2.0-1~)
Description: Simple, powerful testing in Python3
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package provides the Python 3 module and the py.test-3 script.

=== debian/tests/control ===
Tests: smoketest-3
Depends: python3-all, python3-pytest

Tests: unittests-3
Depends: python3-all,
         python3-argcomplete,
         python3-decorator,
         python3-hypothesis,
         python3-mock,
         python3-nose,
         python3-pygments,
         python3-pytest,
         python3-requests,
         python3-twisted,
         python3-xmlschema

## pytest 7.1.2

=== doc/en/requirements.txt ===
pallets-sphinx-themes
pluggy>=1.0
pygments-pytest>=2.2.0
sphinx-removed-in>=0.2.0
sphinx>=3.1,<4
sphinxcontrib-trio
sphinxcontrib-svg2pdfconverter

# XXX: sphinx<4 is broken with latest jinja2
jinja2<3.1

=== debian/changelog ===
pytest (7.1.2-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * [8fab9ab] fix build-deps so correct pkgs are used from backports

 -- Joseph Nahmias <jello@debian.org>  Sun, 17 Jul 2022 17:53:41 -0400

pytest (7.1.2-2) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Fri, 24 Jun 2022 23:09:47 -0400

pytest (7.1.2-1) experimental; urgency=medium

  * New upstream release; Closes: #1010605
  * Refresh patches
  * debian/control
    - run wrap-and-sort
    - bump Standard-Version to 4.6.1 (no changes needed)
  * debian/patches/PR10026.patch
    - fix manpage source location
  * debian/patches/0004-Fix-test_errors_in_xfail_skip_expressions-for-Python.patch
    - drop patch, merged upstream
  * debian/copyright
    - update upstream copyright years

 -- Sandro Tosi <morph@debian.org>  Tue, 07 Jun 2022 15:46:15 -0400

pytest (6.2.5-3) unstable; urgency=medium

  * Team upload.
  * Keep upstream's entry points

 -- Bastian Germann <bage@debian.org>  Fri, 20 May 2022 21:20:14 +0200

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,6 @@
 	PYTHONPATH=$(CURDIR)/src \
 		SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build \
 		$(MAKE) -C doc/en man html
-	sed 's/PYTEST/PYTEST-3/g' doc/en/_build/man/pytest.1 > debian/pytest-3.1
 
 # 2015-12-16 barry@debian.org: Because pytest does not clean up after itself,
 # use a custom temporary directory (which is easier to clean up manually,
@@ -31,12 +30,6 @@
 	dh_auto_test -- --system=custom
 endif
 
-override_dh_auto_install:
-	dh_auto_install
-	rm debian/python3-pytest/usr/bin/py.test
-	mv debian/python3-pytest/usr/bin/pytest \
-		debian/python3-pytest/usr/bin/pytest-3
-
 override_dh_auto_clean:
 	rm -rf doc/en/_build
 	dh_auto_clean

=== debian/tests/control ===
Tests: smoketest-3
Depends: python3-pytest, python3-all

Tests: unittests-3
Depends: python3-pytest, python3-all, python3-argcomplete, python3-decorator,
 python3-hypothesis, python3-mock, python3-nose, python3-pygments,
 python3-requests, python3-tomli, python3-twisted, python3-xmlschema

## pytest 7.2.1

=== doc/en/requirements.txt ===
pallets-sphinx-themes
pluggy>=1.0
pygments-pytest>=2.3.0
sphinx-removed-in>=0.2.0
sphinx>=5,<6
sphinxcontrib-trio
sphinxcontrib-svg2pdfconverter
# Pin packaging because it no longer handles 'latest' version, which
# is the version that is assigned to the docs.
# See https://github.com/pytest-dev/pytest/pull/10578#issuecomment-1348249045.
packaging <22

=== debian/changelog ===
pytest (7.2.1-2) unstable; urgency=medium

  * Team upload.
  * Drop depends on python3-exceptiongroup and python3-tomli
  * Add depend on pybuild-plugin-pyproject

 -- Timo Röhling <roehling@debian.org>  Wed, 01 Feb 2023 16:28:14 +0100

pytest (7.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.2.1
  * Drop patch for Python 3.11 test workarounds (fixed by upstream)

 -- Timo Röhling <roehling@debian.org>  Mon, 16 Jan 2023 14:56:01 +0100

pytest (7.2.0-4) unstable; urgency=medium

  * Team upload.
  * Fix dependency issues with Python 3.11 transition.
    Both python3-exceptiongroup and python3-tomli are no longer
    needed with Python 3.11, but as long as Python 3.10 is still
    in the archive, pytest should depend on them to not break
    Python 3.10 tests. (Closes: #1027751)
  * Drop ${sphinxdoc:Built-Using} from python-pytest-doc
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Mon, 02 Jan 2023 22:57:25 +0100

pytest (7.2.0-3) unstable; urgency=medium

  * Team upload.

  [ Jochen Sprickerhof ]
  * Drop unused build-depends

 -- Timo Röhling <roehling@debian.org>  Thu, 22 Dec 2022 00:49:17 +0100

pytest (7.2.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Drop ancient d/NEWS

 -- Timo Röhling <roehling@debian.org>  Wed, 14 Dec 2022 19:42:41 +0100

pytest (7.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 7.2.0
  * Use autopkgtest-pkg-pybuild
  * Ignore flaky test_raise_assertion_error_raising_repr with Python < 3.11

 -- Timo Röhling <roehling@debian.org>  Mon, 12 Dec 2022 18:26:20 +0100

pytest (7.1.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in machine-readable debian/copyright).
  * Remove constraints unnecessary since buster (oldstable)
  * Apply multi-arch hints. + python-pytest-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 11:37:43 +0100

pytest (7.1.2-3) unstable; urgency=medium

  * Team upload

  [ Andreas Hasenack ]
  * d/t/control: also depend on lsof, used in the unittests-3 tests
  * d/t/control: Add allow-stderr restriction (LP: #1984135)

 -- Bastian Germann <bage@debian.org>  Tue, 27 Sep 2022 09:35:16 +0200

=== debian/control ===
Source: pytest
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>,
Build-Depends: debhelper-compat (= 13),
	       dh-sequence-python3,
	       dh-sequence-sphinxdoc <!nodoc>,
	       lsof <!nocheck>,
	       pybuild-plugin-pyproject,
               python3-all,
               python3-argcomplete <!nocheck>,
               python3-atomicwrites,
               python3-attr,
               python3-doc,
               python3-hypothesis <!nocheck>,
               python3-iniconfig,
               python3-more-itertools,
               python3-packaging,
               python3-pallets-sphinx-themes,
               python3-pluggy (>= 0.12),
               python3-py,
               python3-pygments <!nocheck>,
               python3-requests <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx,
               python3-twisted <!nocheck>,
               python3-wcwidth,
               python3-xmlschema <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://pytest.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no

Package: python-pytest-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Recommends: python3-pytest,
Multi-Arch: foreign
Description: Simple, powerful testing in Python - Documentation
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package contains the documentation for pytest.

Package: python3-pytest
Architecture: all
Depends: python3-attr,
         python3-more-itertools,
         python3-pkg-resources,
         python3-pluggy (>= 0.12),
         python3-py,
         ${misc:Depends},
         ${python3:Depends},
Recommends: python3-pygments,
Breaks: python3-flaky (<< 3.6.1-1~),
        python3-pytest-cov (<< 2.7.1-1~),
        python3-pytest-mock (<< 1.10.4-1~),
        python3-pytest-xdist (<< 2.2.0-1~),
        python3-pytest-xvfb (<< 1.2.0-1~),
Description: Simple, powerful testing in Python3
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package provides the Python 3 module and the py.test-3 script.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=pytest

# 2015-12-16 barry@debian.org: Because pytest does not clean up after itself,
# use a custom temporary directory (which is easier to clean up manually,
# e.g. in an sbuild).
export PYBUILD_BEFORE_TEST=mkdir -p {dir}/debian/tmp/test-working-directory
export PYBUILD_AFTER_TEST=rm -rf {dir}/debian/tmp/test-working-directory
# 2022-12-11 roehling@debian.org: As of this writing, autopkgtest-pkg-pybuild
# cannot handle custom tests, so we improvise:
export PYBUILD_TEST_ARGS=BREAK_COMMAND_ON_PURPOSE >/dev/null 2>&1; \
	cd {dir}/debian/tmp/test-working-directory && \
	{interpreter} -m pytest --lsof -rfsxX \
		--ignore={dir}/testing/test_entry_points.py \
		--ignore={dir}/testing/test_terminal.py \
		-k 'not test_code_highlight' \
		{dir}/testing

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=$(CURDIR)/src \
		SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build \
		$(MAKE) -C doc/en man html

## pytest 7.4.0

=== debian/changelog ===
pytest (7.4.0-2) unstable; urgency=medium

  * Team upload.
  * Update Build-Depends and fix "nocheck" profile

 -- Timo Röhling <roehling@debian.org>  Wed, 05 Jul 2023 00:00:14 +0200

pytest (7.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.4.0
    - Fixes a testpath discovery regression which may affect autopkgtest
  * Refresh patches
    - Mark all Debian-specific patches as Forwarded: not-needed
  * Migrate debian/watch to version 4 format

 -- Timo Röhling <roehling@debian.org>  Tue, 04 Jul 2023 13:07:33 +0200

pytest (7.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.3.2

 -- Timo Röhling <roehling@debian.org>  Fri, 16 Jun 2023 20:40:49 +0200

=== debian/control ===
Source: pytest
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 lsof <!nocheck>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-argcomplete <!nocheck>,
 python3-attr <!nocheck>,
 python3-hypothesis <!nocheck>,
 python3-iniconfig,
 python3-mock <!nocheck>,
 python3-numpy <!nocheck>,
 python3-packaging,
 python3-pallets-sphinx-themes <!nodoc>,
 python3-pluggy (>= 0.12),
 python3-pygments <!nocheck>,
 python3-requests <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx <!nodoc>,
 python3-twisted <!nocheck>,
 python3-xmlschema <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://pytest.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no

Package: python-pytest-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends: python3-pytest,
Multi-Arch: foreign
Description: Simple, powerful testing in Python - Documentation
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package contains the documentation for pytest.

Package: python3-pytest
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends: python3-pygments,
Breaks:
 python3-flaky (<< 3.6.1-1~),
 python3-pytest-cov (<< 2.7.1-1~),
 python3-pytest-mock (<< 1.10.4-1~),
 python3-pytest-xdist (<< 2.2.0-1~),
 python3-pytest-xvfb (<< 1.2.0-1~),
Description: Simple, powerful testing in Python3
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package provides the Python 3 module and the py.test-3 script.

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,8 @@
 	dh $@ --buildsystem=pybuild
 
 execute_after_dh_auto_build:
-	PYTHONPATH=$(CURDIR)/src \
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=$(shell pybuild --print {build_dir}) \
 		SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build \
 		$(MAKE) -C doc/en man html
+endif

## pytest 7.4.4

=== debian/changelog ===
pytest (7.4.4-1~cloud1) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Jun 2024 13:55:04 +0100

pytest (7.4.4-1) unstable; urgency=medium

  * New upstream version 7.4.4

 -- Timo Röhling <roehling@debian.org>  Tue, 02 Jan 2024 20:49:04 +0100

pytest (7.4.3-2) unstable; urgency=medium

  * Fix incorrect {build_dir} query in d/rules (Closes: #1058342)
  * Drop obsolete PYBUILD_TEST_CUSTOM workaround

 -- Timo Röhling <roehling@debian.org>  Tue, 12 Dec 2023 16:02:32 +0100

pytest (7.4.3-1) unstable; urgency=medium

  * New upstream version 7.4.3

 -- Timo Röhling <roehling@debian.org>  Thu, 26 Oct 2023 10:50:16 +0200

pytest (7.4.2-1) unstable; urgency=medium

  * New upstream version 7.4.2

 -- Timo Röhling <roehling@debian.org>  Tue, 12 Sep 2023 13:21:20 +0200

pytest (7.4.1-1) unstable; urgency=medium

  * Add myself to uploaders
  * New upstream version 7.4.1
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Tue, 05 Sep 2023 15:17:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Ondřej Nový <onovy@debian.org>,
+Uploaders:
+ Ondřej Nový <onovy@debian.org>,
+ Timo Röhling <roehling@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -12,6 +14,7 @@
  python3-all,
  python3-argcomplete <!nocheck>,
  python3-attr <!nocheck>,
+ python3-exceptiongroup,
  python3-hypothesis <!nocheck>,
  python3-iniconfig,
  python3-mock <!nocheck>,

## pytest 8.0.1

=== debian/changelog ===
pytest (8.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  * bookworm-backports Rebuilt for bookworm.

 -- Timo Röhling <roehling@debian.org>  Fri, 23 Feb 2024 09:34:18 +0000

pytest (8.0.1-1) experimental; urgency=medium

  * New upstream version 8.0.1
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 19 Feb 2024 17:39:13 +0100

pytest (8.0.0-1) experimental; urgency=medium

  * New upstream version 8.0.0

 -- Timo Röhling <roehling@debian.org>  Mon, 29 Jan 2024 15:13:36 +0100

pytest (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream version 8.0.0~rc1
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Wed, 03 Jan 2024 13:13:09 +0100

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,8 @@
  python3-all,
  python3-argcomplete <!nocheck>,
  python3-attr <!nocheck>,
- python3-exceptiongroup,
  python3-hypothesis <!nocheck>,
  python3-iniconfig,
- python3-mock <!nocheck>,
  python3-numpy <!nocheck>,
  python3-packaging,
  python3-pallets-sphinx-themes <!nodoc>,

## pytest 8.2.2

=== debian/changelog ===
pytest (8.2.2-2) unstable; urgency=medium

  * Fix test regressions for flaky test plugins.
    Thanks to Chris Peterson (Closes: #1072810)

 -- Timo Röhling <roehling@debian.org>  Thu, 13 Jun 2024 00:24:50 +0200

pytest (8.2.2-1) unstable; urgency=medium

  * New upstream version 8.2.2
  * Refresh patches (no functional change)
  * Documentation builds with Furo theme now

 -- Timo Röhling <roehling@debian.org>  Wed, 05 Jun 2024 15:34:35 +0200

pytest (8.2.1-2) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * d/control: breaks older versions of the mypy and astropy packages.

 -- Timo Röhling <roehling@debian.org>  Mon, 27 May 2024 23:29:56 +0200

pytest (8.2.1-1) unstable; urgency=medium

  * New upstream version 8.2.1
  * Update patches
    - Drop Ignore-permission-denied-errors-during-directory-col.patch
      (obsolete, fixed in upstream)

 -- Timo Röhling <roehling@debian.org>  Mon, 27 May 2024 13:37:10 +0200

pytest (8.1.2-1) unstable; urgency=medium

  * New upstream version 8.1.2
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 30 Apr 2024 12:53:11 +0200

pytest (8.1.1-2) unstable; urgency=medium

  * Update patches
    - Merge Sphinx config patches into Disable-Sphinx-extensions.patch
    - Add patch to ignore permission errors during directory collection

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Apr 2024 11:03:08 +0200

pytest (8.1.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

  [ Timo Röhling ]
  * New upstream version 8.1.1
  * Drop B-D on python3-twisted

 -- Timo Röhling <roehling@debian.org>  Tue, 19 Mar 2024 14:43:09 +0100

pytest (8.0.2-1) unstable; urgency=medium

  * New upstream version 8.0.2
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 26 Feb 2024 12:00:38 +0100

pytest (7.4.4-3) unstable; urgency=medium

  * Depend on pluggy >= 1.4.0 as the test fix breaks with older versions

 -- Timo Röhling <roehling@debian.org>  Mon, 05 Feb 2024 14:40:23 +0100

pytest (7.4.4-2) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Remove extraneous python3-mock build-dep

  [ Timo Röhling ]
  * Fix test failures with pluggy 1.4.0

 -- Timo Röhling <roehling@debian.org>  Mon, 29 Jan 2024 13:47:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Ondřej Nový <onovy@debian.org>,
  Timo Röhling <roehling@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
+ furo <!nodoc>,
  lsof <!nocheck>,
  pybuild-plugin-pyproject,
  python3-all,
@@ -19,13 +19,12 @@
  python3-numpy <!nocheck>,
  python3-packaging,
  python3-pallets-sphinx-themes <!nodoc>,
- python3-pluggy (>= 0.12),
+ python3-pluggy (>= 1.4.0),
  python3-pygments <!nocheck>,
  python3-requests <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx <!nodoc>,
- python3-twisted <!nocheck>,
  python3-xmlschema <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://pytest.org/
@@ -61,6 +60,8 @@
  python3-pytest-mock (<< 1.10.4-1~),
  python3-pytest-xdist (<< 2.2.0-1~),
  python3-pytest-xvfb (<< 1.2.0-1~),
+ python3-mypy (<< 1.9.0-3~),
+ python3-astropy (<< 6.0.1-1~)
 Description: Simple, powerful testing in Python3
  This testing tool has for objective to allow the developers to limit the
  boilerplate code around the tests, promoting the use of built-in

## pytest 8.3.2

=== doc/en/requirements.txt ===
pluggy>=1.5.0
pygments-pytest>=2.3.0
sphinx-removed-in>=0.2.0
sphinx>=7
sphinxcontrib-trio
sphinxcontrib-svg2pdfconverter
# Pin packaging because it no longer handles 'latest' version, which
# is the version that is assigned to the docs.
# See https://github.com/pytest-dev/pytest/pull/10578#issuecomment-1348249045.
packaging
furo
sphinxcontrib-towncrier
sphinx-issues

=== debian/changelog ===
pytest (8.3.2-1) unstable; urgency=medium

  * New upstream version 8.3.2
  * Make the build reproducible.
    Thanks to Chris Lamb (Closes: #1077485)

 -- Timo Röhling <roehling@debian.org>  Wed, 31 Jul 2024 01:57:33 +0200

pytest (8.3.1-1) unstable; urgency=medium

  * New upstream version 8.3.1
  * Update patches
    - Drop backported fix for flaky test plugins
  * Update build depends
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Jul 2024 10:50:25 +0200

=== debian/control ===
--- 
+++ 
@@ -14,19 +14,23 @@
  python3-all,
  python3-argcomplete <!nocheck>,
  python3-attr <!nocheck>,
+ python3-doc <!nodoc>,
  python3-hypothesis <!nocheck>,
  python3-iniconfig,
  python3-numpy <!nocheck>,
+ python-numpy-doc <!nodoc>,
  python3-packaging,
- python3-pallets-sphinx-themes <!nodoc>,
- python3-pluggy (>= 1.4.0),
+ python3-pluggy (>= 1.5.0),
  python3-pygments <!nocheck>,
  python3-requests <!nocheck>,
+ python-setuptools-doc <!nodoc>,
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx <!nodoc>,
+ python3-sphinx-issues <!nodoc>,
+ python3-sphinxcontrib-towncrier <!nodoc>,
  python3-xmlschema <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://pytest.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest

## pytest 8.3.3

=== debian/changelog ===
pytest (8.3.3-1) unstable; urgency=medium

  * New upstream version 8.3.3

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Sep 2024 09:41:58 +0200

## pytest 8.3.4

=== debian/changelog ===
pytest (8.3.4-1) unstable; urgency=medium

  * New upstream version 8.3.4
  * Wrap and sort Debian package files
  * Remove old Breaks declarations

 -- Timo Röhling <roehling@debian.org>  Wed, 04 Dec 2024 15:51:21 +0100

## pytest 8.3.5

=== debian/changelog ===
pytest (8.3.5-2) unstable; urgency=medium

  * Fix compatibility with attrs >= 25.2 (Closes: #1101860)
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Tue, 01 Apr 2025 21:35:12 +0200

pytest (8.3.5-1) unstable; urgency=medium

  * New upstream version 8.3.5

 -- Timo Röhling <roehling@debian.org>  Sun, 09 Mar 2025 20:15:54 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,8 @@
  furo <!nodoc>,
  lsof <!nocheck>,
  pybuild-plugin-pyproject,
+ python-numpy-doc <!nodoc>,
+ python-setuptools-doc <!nodoc>,
  python3-all,
  python3-argcomplete <!nocheck>,
  python3-attr <!nocheck>,
@@ -18,19 +20,17 @@
  python3-hypothesis <!nocheck>,
  python3-iniconfig,
  python3-numpy <!nocheck>,
- python-numpy-doc <!nodoc>,
  python3-packaging,
  python3-pluggy (>= 1.5.0),
  python3-pygments <!nocheck>,
  python3-requests <!nocheck>,
- python-setuptools-doc <!nodoc>,
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx <!nodoc>,
  python3-sphinx-issues <!nodoc>,
  python3-sphinxcontrib-towncrier <!nodoc>,
  python3-xmlschema <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://pytest.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest
@@ -43,7 +43,8 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
-Recommends: python3-pytest,
+Recommends:
+ python3-pytest,
 Multi-Arch: foreign
 Description: Simple, powerful testing in Python - Documentation
  This testing tool has for objective to allow the developers to limit the
@@ -57,15 +58,8 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
-Recommends: python3-pygments,
-Breaks:
- python3-flaky (<< 3.6.1-1~),
- python3-pytest-cov (<< 2.7.1-1~),
- python3-pytest-mock (<< 1.10.4-1~),
- python3-pytest-xdist (<< 2.2.0-1~),
- python3-pytest-xvfb (<< 1.2.0-1~),
- python3-mypy (<< 1.9.0-3~),
- python3-astropy (<< 6.0.1-1~)
+Recommends:
+ python3-pygments,
 Description: Simple, powerful testing in Python3
  This testing tool has for objective to allow the developers to limit the
  boilerplate code around the tests, promoting the use of built-in

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pytest/pytest-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pytest 8.4.1

=== debian/changelog ===
pytest (8.4.1-1) unstable; urgency=medium

  * New upstream version 8.4.1
  * Update patches
    - Merged: 0004-Fix-attrs-25.2-compatibility.patch
  * Need at least pluggy 1.6.0 due to StopIteration issue

 -- Timo Röhling <roehling@debian.org>  Wed, 13 Aug 2025 12:46:36 +0200
